zenilib: zenilib/jni/external/freetype2/src/pcf/pcf.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions
pcf.h File Reference
`#include <ft2build.h>`
`#include <FT_INTERNAL_DRIVER_H>`
`#include <FT_INTERNAL_STREAM_H>`

Go to the source code of this file.

## Classes

struct | PCF_AccelRec_
struct | PCF_Compressed_MetricRec_
struct | PCF_EncodingRec_
struct | PCF_FaceRec_
struct | PCF_MetricRec_
struct | PCF_ParsePropertyRec_
struct | PCF_PropertyRec_
struct | PCF_TableRec_
struct | PCF_TocRec_

## Macros

#define | GLYPHPADOPTIONS 4 /* I'm not sure about this */
#define | LSBFirst 0
#define | MSBFirst 1
#define | PCF_ACCEL_W_INKBOUNDS 0x00000100UL
#define | PCF_ACCELERATORS ( 1 << 1 )
#define | PCF_BDF_ACCELERATORS ( 1 << 8 )
#define | PCF_BDF_ENCODINGS ( 1 << 5 )
#define | PCF_BIT_MASK ( 1 << 3 )
#define | PCF_BIT_ORDER(f) ( ( (f) & PCF_BIT_MASK ) ? MSBFirst : LSBFirst )
#define | PCF_BITMAPS ( 1 << 3 )
#define | PCF_BYTE_MASK ( 1 << 2 )
#define | PCF_BYTE_ORDER(f) ( ( (f) & PCF_BYTE_MASK ) ? MSBFirst : LSBFirst )
#define | PCF_COMPRESSED_METRICS 0x00000100UL
#define | PCF_DEFAULT_FORMAT 0x00000000UL
#define | PCF_FILE_VERSION
#define | PCF_FORMAT(bit, byte, glyph, scan)
#define | PCF_FORMAT_BITS(f)
#define | PCF_FORMAT_MASK 0xFFFFFF00UL
#define | PCF_FORMAT_MATCH(a, b) ( ( (a) & PCF_FORMAT_MASK ) == ( (b) & PCF_FORMAT_MASK ) )
#define | PCF_GLYPH_NAMES ( 1 << 7 )
#define | PCF_GLYPH_PAD(f) ( 1 << PCF_GLYPH_PAD_INDEX( f ) )
#define | PCF_GLYPH_PAD_INDEX(f) ( (f) & PCF_GLYPH_PAD_MASK )
#define | PCF_GLYPH_PAD_MASK ( 3 << 0 )
#define | PCF_INDEX_TO_SIZE(b) ( 1 << b )
#define | PCF_INK_METRICS ( 1 << 4 )
#define | PCF_INKBOUNDS 0x00000200UL
#define | PCF_METRICS ( 1 << 2 )
#define | PCF_PROPERTIES ( 1 << 0 )
#define | PCF_SCAN_UNIT(f) ( 1 << PCF_SCAN_UNIT_INDEX( f ) )
#define | PCF_SCAN_UNIT_INDEX(f) ( ( (f) & PCF_SCAN_UNIT_MASK ) >> 4 )
#define | PCF_SCAN_UNIT_MASK ( 3 << 4 )
#define | PCF_SIZE_TO_INDEX(s) ( (s) == 4 ? 2 : (s) == 2 ? 1 : 0 )
#define | PCF_SWIDTHS ( 1 << 6 )

## Typedefs

typedef struct PCF_AccelRec_ * | PCF_Accel
typedef struct PCF_AccelRec_ | PCF_AccelRec
typedef struct PCF_Compressed_MetricRec_ * | PCF_Compressed_Metric
typedef struct PCF_Compressed_MetricRec_ | PCF_Compressed_MetricRec
typedef struct PCF_EncodingRec_ * | PCF_Encoding
typedef struct PCF_EncodingRec_ | PCF_EncodingRec
typedef struct PCF_FaceRec_ * | PCF_Face
typedef struct PCF_FaceRec_ | PCF_FaceRec
typedef struct PCF_MetricRec_ * | PCF_Metric
typedef struct PCF_MetricRec_ | PCF_MetricRec
typedef struct PCF_ParsePropertyRec_ * | PCF_ParseProperty
typedef struct PCF_ParsePropertyRec_ | PCF_ParsePropertyRec
typedef struct PCF_PropertyRec_ * | PCF_Property
typedef struct PCF_PropertyRec_ | PCF_PropertyRec
typedef FT_BEGIN_HEADER struct PCF_TableRec_ * | PCF_Table
typedef FT_BEGIN_HEADER struct PCF_TableRec_ | PCF_TableRec
typedef struct PCF_TocRec_ * | PCF_Toc
typedef struct PCF_TocRec_ | PCF_TocRec

## Functions

| pcf_load_font (FT_Stream, PCF_Face)

## Macro Definition Documentation

#define GLYPHPADOPTIONS 4 /* I'm not sure about this */

Definition at line 226 of file pcf.h.

Referenced by pcf_get_bitmaps().

#define LSBFirst 0

Definition at line 168 of file pcf.h.

#define MSBFirst 1

Definition at line 169 of file pcf.h.

Referenced by pcf_get_accel(), pcf_get_bitmaps(), pcf_get_encodings(), pcf_get_metric(), pcf_get_metrics(), pcf_get_properties(), and PCF_Glyph_Load().

#define PCF_ACCEL_W_INKBOUNDS 0x00000100UL

Definition at line 178 of file pcf.h.

Referenced by pcf_get_accel().

#define PCF_ACCELERATORS ( 1 << 1 )

Definition at line 217 of file pcf.h.

Referenced by pcf_load_font().

#define PCF_BDF_ACCELERATORS ( 1 << 8 )

Definition at line 224 of file pcf.h.

Referenced by pcf_load_font().

#define PCF_BDF_ENCODINGS ( 1 << 5 )

Definition at line 221 of file pcf.h.

Referenced by pcf_get_encodings().

#define PCF_BIT_MASK ( 1 << 3 )

Definition at line 186 of file pcf.h.

#define PCF_BIT_ORDER | ( |  | f | ) | ( ( (f) & PCF_BIT_MASK ) ? MSBFirst : LSBFirst )

Definition at line 191 of file pcf.h.

Referenced by PCF_Glyph_Load().

#define PCF_BITMAPS ( 1 << 3 )

Definition at line 219 of file pcf.h.

Referenced by pcf_get_bitmaps().

#define PCF_BYTE_MASK ( 1 << 2 )

Definition at line 185 of file pcf.h.

#define PCF_BYTE_ORDER | ( |  | f | ) | ( ( (f) & PCF_BYTE_MASK ) ? MSBFirst : LSBFirst )

Definition at line 189 of file pcf.h.

Referenced by pcf_get_accel(), pcf_get_bitmaps(), pcf_get_encodings(), pcf_get_metric(), pcf_get_metrics(), pcf_get_properties(), and PCF_Glyph_Load().

#define PCF_COMPRESSED_METRICS 0x00000100UL

Definition at line 179 of file pcf.h.

Referenced by pcf_get_metrics().

#define PCF_DEFAULT_FORMAT 0x00000000UL

Definition at line 176 of file pcf.h.

Referenced by pcf_get_accel(), pcf_get_bitmaps(), pcf_get_encodings(), pcf_get_metric(), pcf_get_metrics(), and pcf_get_properties().

#define PCF_FILE_VERSION

Value:
( ( 'p' << 24 ) | \
( 'c' << 16 ) | \
( 'f' << 8 ) | 1 )

Definition at line 171 of file pcf.h.

Referenced by pcf_read_TOC().

#define PCF_FORMAT | ( |  | bit,
|  |  | byte,
|  |  | glyph,
|  |  | scan
| ) |  |

Value:
( ( PCF_SIZE_TO_INDEX( scan ) << 4 ) | \
( ( (bit) == MSBFirst ? 1 : 0 ) << 3 ) | \
( ( (byte) == MSBFirst ? 1 : 0 ) << 2 ) | \
( PCF_SIZE_TO_INDEX( glyph ) << 0 ) )
PCF_SIZE_TO_INDEX
#define PCF_SIZE_TO_INDEX(s)
Definition: pcf.h:207
MSBFirst
#define MSBFirst
Definition: pcf.h:169

Definition at line 210 of file pcf.h.

#define PCF_FORMAT_BITS | ( |  | f | ) |

Value:
( (f) & ( PCF_GLYPH_PAD_MASK | \
PCF_BYTE_MASK | \
PCF_BIT_MASK | \
PCF_SCAN_UNIT_MASK ) )
f
GLclampf f
Definition: glew.h:3390
PCF_GLYPH_PAD_MASK
#define PCF_GLYPH_PAD_MASK
Definition: pcf.h:184
PCF_BYTE_MASK
#define PCF_BYTE_MASK
Definition: pcf.h:185
PCF_BIT_MASK
#define PCF_BIT_MASK
Definition: pcf.h:186
PCF_SCAN_UNIT_MASK
#define PCF_SCAN_UNIT_MASK
Definition: pcf.h:187

Definition at line 201 of file pcf.h.

#define PCF_FORMAT_MASK 0xFFFFFF00UL

Definition at line 174 of file pcf.h.

Referenced by pcf_get_accel().

#define PCF_FORMAT_MATCH | ( |  | a,
|  |  | b
| ) |  | ( ( (a) & PCF_FORMAT_MASK ) == ( (b) & PCF_FORMAT_MASK ) )

Definition at line 181 of file pcf.h.

Referenced by pcf_get_accel(), pcf_get_bitmaps(), pcf_get_encodings(), pcf_get_metric(), pcf_get_metrics(), and pcf_get_properties().

#define PCF_GLYPH_NAMES ( 1 << 7 )

Definition at line 223 of file pcf.h.

#define PCF_GLYPH_PAD | ( |  | f | ) | ( 1 << PCF_GLYPH_PAD_INDEX( f ) )

Definition at line 195 of file pcf.h.

Referenced by PCF_Glyph_Load().

#define PCF_GLYPH_PAD_INDEX | ( |  | f | ) | ( (f) & PCF_GLYPH_PAD_MASK )

Definition at line 193 of file pcf.h.

Referenced by pcf_get_bitmaps().

#define PCF_GLYPH_PAD_MASK ( 3 << 0 )

Definition at line 184 of file pcf.h.

#define PCF_INDEX_TO_SIZE | ( |  | b | ) | ( 1 << b )

Definition at line 208 of file pcf.h.

#define PCF_INK_METRICS ( 1 << 4 )

Definition at line 220 of file pcf.h.

#define PCF_INKBOUNDS 0x00000200UL

Definition at line 177 of file pcf.h.

#define PCF_METRICS ( 1 << 2 )

Definition at line 218 of file pcf.h.

Referenced by pcf_get_metrics().

#define PCF_PROPERTIES ( 1 << 0 )

Definition at line 216 of file pcf.h.

Referenced by pcf_get_properties().

#define PCF_SCAN_UNIT | ( |  | f | ) | ( 1 << PCF_SCAN_UNIT_INDEX( f ) )

Definition at line 199 of file pcf.h.

Referenced by PCF_Glyph_Load().

#define PCF_SCAN_UNIT_INDEX | ( |  | f | ) | ( ( (f) & PCF_SCAN_UNIT_MASK ) >> 4 )

Definition at line 197 of file pcf.h.

#define PCF_SCAN_UNIT_MASK ( 3 << 4 )

Definition at line 187 of file pcf.h.

#define PCF_SIZE_TO_INDEX | ( |  | s | ) | ( (s) == 4 ? 2 : (s) == 2 ? 1 : 0 )

Definition at line 207 of file pcf.h.

#define PCF_SWIDTHS ( 1 << 6 )

Definition at line 222 of file pcf.h.

## Typedef Documentation

typedef struct PCF_AccelRec_ * PCF_Accel

typedef struct PCF_AccelRec_ PCF_AccelRec

typedef struct PCF_Compressed_MetricRec_ * PCF_Compressed_Metric

typedef struct PCF_Compressed_MetricRec_ PCF_Compressed_MetricRec

typedef struct PCF_EncodingRec_ * PCF_Encoding

typedef struct PCF_EncodingRec_ PCF_EncodingRec

typedef struct PCF_FaceRec_ * PCF_Face

typedef struct PCF_FaceRec_ PCF_FaceRec

typedef struct PCF_MetricRec_ * PCF_Metric

typedef struct PCF_MetricRec_ PCF_MetricRec

typedef struct PCF_ParsePropertyRec_ * PCF_ParseProperty

typedef struct PCF_ParsePropertyRec_ PCF_ParsePropertyRec

typedef struct PCF_PropertyRec_ * PCF_Property

typedef struct PCF_PropertyRec_ PCF_PropertyRec

typedef FT_BEGIN_HEADER struct PCF_TableRec_ * PCF_Table

typedef FT_BEGIN_HEADER struct PCF_TableRec_ PCF_TableRec

typedef struct PCF_TocRec_ * PCF_Toc

typedef struct PCF_TocRec_ PCF_TocRec

## Function Documentation

pcf_load_font | ( | FT_Stream | ,
|  | PCF_Face |
| ) |  |

Definition at line 1105 of file pcfread.c.

References PCF_PropertyRec_::atom, FT_FaceRec_::available_sizes, error, FT_FaceRec_::face_flags, FT_FaceRec_::face_index, FT_FaceRec_::family_name, FT_Bool, FT_FACE, FT_FACE_FLAG_FAST_GLYPHS, FT_FACE_FLAG_FIXED_SIZES, FT_FACE_FLAG_FIXED_WIDTH, FT_FACE_FLAG_HORIZONTAL, FT_MEM_ZERO, FT_NEW_ARRAY, FT_Pos, FT_STRDUP, FT_Bitmap_Size_::height, if(), PCF_PropertyRec_::isString, PCF_PropertyRec_::l, NULL, FT_FaceRec_::num_faces, FT_FaceRec_::num_fixed_sizes, FT_FaceRec_::num_glyphs, PCF_ACCELERATORS, PCF_BDF_ACCELERATORS, pcf_find_property(), pcf_get_accel(), pcf_get_bitmaps(), pcf_get_encodings(), pcf_get_metrics(), pcf_get_properties(), pcf_has_table_type(), pcf_interpret_style(), pcf_read_TOC(), FT_Bitmap_Size_::size, PCF_PropertyRec_::value, FT_Bitmap_Size_::width, FT_Bitmap_Size_::x_ppem, and FT_Bitmap_Size_::y_ppem.

Referenced by PCF_Face_Init().